#
# uspk12.rb
#
# $Id: uspk12.rb,v 1.1 2000/11/22 14:36:03 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math


NT = 51
NZ = 21
ZMIN = 20.0
ZMAX = 50.0
TMAX = 5.0
DZ = (ZMAX-ZMIN)/(NZ-1)
DT = TMAX/(NT-1)
u = NArray.sfloat(NT, NZ)

#-----------------------------------------------------------------------
for j in 0..NZ-1
  z  = DZ*j
  uz = exp(-0.2*z)*(z**0.5)
  for i in 0..NT-1
    t  = DT*i - 2*exp(-0.1*z)
    u[i,j] = uz*sin(3.0*t)
  end
end

#-----------------------------------------------------------------------
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

grswnd(0.0, TMAX, ZMIN, ZMAX)
grsvpt(0.2, 0.8, 0.2, 0.8)
grstrn(1)
grstrf

ussttl('TIME', 'YEAR', 'HEIGHT', 'km')

usdaxs

udcntr(u, NT, NT, NZ)

grcls

